#!/bin/sh
# connects to localhost:4223 by default, use --host and --port to change it

# change to your UID
uid=XYZ

# get threshold callbacks with a debounce time of 10 seconds (10000ms)
tinkerforge call temperature-bricklet $uid set-debounce-period 10000

# configure threshold for "greater than 30 °C" (unit is °C/100)
tinkerforge call temperature-bricklet $uid set-temperature-callback-threshold greater 3000 0

# handle incoming temperature-reached callbacks (unit is °C/100)
tinkerforge dispatch temperature-bricklet $uid temperature-reached\
 --execute "echo We have {temperature} °C/100. It is too hot, we need air conditioning!"
